Skip to content
payrocdevelopers

Retrieve a device configuration

Browse API reference

GET/processing-terminals/{processingTerminalId}/device-configurations/{model}retrieveDeviceConfiguration

Use this method to retrieve configuration details for a device associated with a processing terminal.

Our gateway returns the following details about the configuration:

  • Supported features
  • Applications
  • Certificates and revoked certificates
  • Visual assets

Parameters

NameInTypeDescription
processingTerminalIdRequiredpathstring

Unique identifier that we assigned to the terminal.

modelRequiredpathstring

Type or model of the device.

Responses

Successful request. Returns the device configuration details.

200 OK · application/json
{
  "applications": [
    {
      "card": "VISA",
      "identifier": "A0000000031010",
      "matchType": "partialVisa",
      "version": "0096"
    },
    {
      "card": "MASTERCARD",
      "identifier": "A0000000041010",
      "matchType": "partialEuropay",
      "version": "0002"
    }
  ],
  "certificates": [
    {
      "certificate": "ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234A",
      "exponent": "03",
      "rid": "A000000003"
    }
  ],
  "manufacturer": "idtech",
  "model": "idtechKioskV",
  "revokedCertificates": [
    {
      "certificate": "ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234A",
      "exponent": "02",
      "rid": "A000000004"
    }
  ],
  "supportsAttended": false,
  "supportsContactless": true,
  "supportsIcc": true,
  "supportsKeyed": false,
  "supportsMagStripe": true,
  "supportsOutputDisplaying": false,
  "supportsOutputPrinting": false,
  "supportsPinEntry": false,
  "supportsUnattended": true,
  "visualAssets": [
    {
      "scope": "logo",
      "type": "image",
      "url": "https://www.example.com/logo.png"
    },
    {
      "scope": "idleScreen",
      "type": "image",
      "url": "https://www.example.com/idle-screen.png"
    }
  ]
}
Response schema · 28 fields
  • applicationsobject[]
    Array of emvApplication objects. Each object contains information about an EMV application supported by the device.
    • cardstring
      Card brand associated with the EMV application.
    • identifierstring
      Unique identifier of the EMV application, also known as the Application Identifier (AID).
    • matchTypestring
      Indicates how the terminal matches the EMV application identifier during card selection. full – The terminal requires an exact match of the full application identifier. partialVisa – The terminal uses partial matching as defined by Visa. partialEuropay – The terminal uses partial matching as defined by Europay and Mastercard.fullpartialVisapartialEuropay
    • versionstring
      Version number of the EMV application.
  • certificatesobject[]
    Array of emvCertificate objects. Each object contains information about an EMV certificate used by the device.
    • certificatestring
      Certificate data encoded in hexadecimal format.
    • exponentstring
      Public key exponent for the certificate.
    • ridstring
      Unique identifier of the payment application provider, also known as the Registered Application Provider Identifier (RID).
  • manufacturerstring
    Company that manufactured the device.
  • modelstringrequired
    Type or model of the device.
  • revokedCertificatesobject[]
    Array of emvCertificate objects. Each object contains information about a revoked EMV certificate.
    • certificatestring
      Certificate data encoded in hexadecimal format.
    • exponentstring
      Public key exponent for the certificate.
    • ridstring
      Unique identifier of the payment application provider, also known as the Registered Application Provider Identifier (RID).
  • supportsAttendedboolean
    Indicates if a clerk must operate the device.
  • supportsContactlessboolean
    Indicates if the device can run contactless transactions.
  • supportsIccboolean
    Indicates if the device can read chip cards.
  • supportsKeyedboolean
    Indicates if the device can run keyed transactions.
  • supportsMagStripeboolean
    Indicates if the device can run swiped transactions.
  • supportsOutputDisplayingboolean
    Indicates if the device can display information on a screen.
  • supportsOutputPrintingboolean
    Indicates if the device can print receipts.
  • supportsPinEntryboolean
    Indicates if the device can accept PIN entry.
  • supportsUnattendedboolean
    Indicates if the device can operate without a clerk present.
  • visualAssetsobject[]
    Array of visualAsset objects. Each object contains information about a visual asset that the device displays.
    • scopestringrequired
      Location of the visual asset.logoidleScreen
    • typestringrequired
      Format of the visual asset.image
    • urlstringrequired
      URL of the visual asset.

Used in workflows

Search documentation

API reference169
Guides118
Knowledge38
legal1
Solutions32
Workflows74
↑↓highlight↵openView all search results

Menu

Theme

Sign out

Your saved plans remain in your organization. This browser’s private draft and account view will be cleared.

Talk to an engineer